export interface BaseAlarmDetailVO {
  /**
   * 报警详细信息ID
   */
  alarmDetailId: string | number;

  /**
   * 关联hw_alarm_info的alarm_info_id
   */
  alarmInfoId: string | number;

  /**
   * 设备模型功能ID
   */
  modeFunctionId: string | number;

  /**
   * 功能名称
   */
  functionName: string;

  /**
   * 标识符
   */
  functionIdentifier: string | number;

  /**
   * 值
   */
  functionValue: string;

  /**
   * 监测时间
   */
  monitorTime: string;

  /**
   * 报警内容
   */
  alarmContent: string;

  /**
   * 设备模型功能
   */
  modeFunctionName: string;

}

export interface BaseAlarmDetailForm extends BaseEntity {
  /**
   * 报警详细信息ID
   */
  alarmDetailId?: string | number;

  /**
   * 关联hw_alarm_info的alarm_info_id
   */
  alarmInfoId?: string | number;

  /**
   * 设备模型功能ID
   */
  modeFunctionId?: string | number;

  /**
   * 功能名称
   */
  functionName?: string;

  /**
   * 标识符
   */
  functionIdentifier?: string | number;

  /**
   * 值
   */
  functionValue?: string;

  /**
   * 监测时间
   */
  monitorTime?: string;

  /**
   * 报警内容
   */
  alarmContent?: string;

  /**
   * 设备模型功能
   */
  modeFunctionName?: string;

}

export interface BaseAlarmDetailQuery extends PageQuery {

  /**
   * 报警详细信息ID
   */
  alarmDetailId?: string | number;

  /**
   * 关联hw_alarm_info的alarm_info_id
   */
  alarmInfoId?: string | number;

  /**
   * 设备模型功能ID
   */
  modeFunctionId?: string | number;

  /**
   * 功能名称
   */
  functionName?: string;

  /**
   * 标识符
   */
  functionIdentifier?: string | number;

  /**
   * 值
   */
  functionValue?: string;

  /**
   * 监测时间
   */
  monitorTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;


  /**
   * 报警内容
   */
  alarmContent?: string;

  /**
   * 设备模型功能
   */
  modeFunctionName?: string;
}



