export interface DeviceModeVO {
  /**
   * 设备模型ID
   */
  deviceModeId: string | number;

  /**
   * 设备模型名称
   */
  deviceModeName: string;

  /**
   * 设备模型状态（1：启用，9：删除）
   */
  deviceModeStatus: string;

  /**
   * 设备模型图片地址
   */
  deviceModePic: string;

  /**
   * 场景描述
   */
  remark: string;

}

export interface DeviceModeForm extends BaseEntity {
  /**
   * 设备模型ID
   */
  deviceModeId?: string | number;

  /**
   * 设备模型名称
   */
  deviceModeName?: string;

  /**
   * 设备模型状态（1：启用，9：删除）
   */
  deviceModeStatus?: string;

  /**
   * 设备模型图片地址
   */
  deviceModePic?: string;

  /**
   * 场景描述
   */
  remark?: string;

}

export interface DeviceModeQuery extends PageQuery {

  /**
   * 设备模型ID
   */
  deviceModeId?: string | number;

  /**
   * 设备模型名称
   */
  deviceModeName?: string;

  /**
   * 设备模型状态（1：启用，9：删除）
   */
  deviceModeStatus?: string;

  /**
   * 设备模型图片地址
   */
  deviceModePic?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



