export interface DmsBaseMaintProjectVO {
  /**
   * 主键标识
   */
  maintProjectId: string | number;

  /**
   * 项目名称
   */
  maintProjectName: string;

  /**
   * 项目描述
   */
  maintProjectDesc: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

}

export interface DmsBaseMaintProjectForm extends BaseEntity {
  /**
   * 主键标识
   */
  maintProjectId?: string | number;

  /**
   * 项目名称
   */
  maintProjectName?: string;

  /**
   * 项目描述
   */
  maintProjectDesc?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

}

export interface DmsBaseMaintProjectQuery extends PageQuery {

  /**
   * 主键标识
   */
  maintProjectId?: string | number;

  /**
   * 项目名称
   */
  maintProjectName?: string;

  /**
   * 项目描述
   */
  maintProjectDesc?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



