export interface DmsBaseOutsourcingInfoVO {
  /**
   * 主键标识
   */
  outsourcingId: string | number;

  /**
   * 外协编号
   */
  outsourcingCode: string;

  /**
   * 单位名称
   */
  outsourcingName: string;

  /**
   * 外协联系人
   */
  outsourcingPerson: string;

  /**
   * 外协电话
   */
  outsourcingTel: string;

  /**
   * 外协地址
   */
  outsourcingAddress: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBaseOutsourcingInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  outsourcingId?: string | number;

  /**
   * 外协编号
   */
  outsourcingCode?: string;

  /**
   * 单位名称
   */
  outsourcingName?: string;

  /**
   * 外协联系人
   */
  outsourcingPerson?: string;

  /**
   * 外协电话
   */
  outsourcingTel?: string;

  /**
   * 外协地址
   */
  outsourcingAddress?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsBaseOutsourcingInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  outsourcingId?: string | number;

  /**
   * 外协编号
   */
  outsourcingCode?: string;

  /**
   * 单位名称
   */
  outsourcingName?: string;

  /**
   * 外协联系人
   */
  outsourcingPerson?: string;

  /**
   * 外协电话
   */
  outsourcingTel?: string;

  /**
   * 外协地址
   */
  outsourcingAddress?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



