export interface DmsBaseStationProjectVO {
  /**
   * 保养部位ID
   */
  maintStationId: string | number;

  /**
   * 保养项目ID
   */
  maintProjectId: string | number;

}

export interface DmsBaseStationProjectForm extends BaseEntity {
  /**
   * 保养部位ID
   */
  maintStationId?: string | number;

  /**
   * 保养项目ID
   */
  maintProjectId?: string | number;

}

export interface DmsBaseStationProjectQuery extends PageQuery {

  /**
   * 保养部位ID
   */
  maintStationId?: string | number;

  /**
   * 保养项目ID
   */
  maintProjectId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



