export interface ProdOutputScanInfoVO {
  /**
   * 主键标识
   */
  prodOutputScanInfoId: string | number;

  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 机台ID
   */
  machineId: string | number;

  /**
   * 胎胚条码
   */
  embryoBarcode: string;

  /**
   * 工装ID
   */
  toolingId: string | number;

  /**
   * 物料ID
   */
  materielId: string | number;

  /**
   * 扫描结果
   */
  scanResult: string;

  /**
   * 记录人名称
   */
  userName: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 工序名称
   */
  processName: string;
  /**
   * 机台名称
   */
  machineName: string;
  /**
   * 工装名称
   */
  toolingName: string;
  /**
   * 物料名称
   */
  materielName: string;

}

export interface ProdOutputScanInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  prodOutputScanInfoId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 胎胚条码
   */
  embryoBarcode?: string;

  /**
   * 工装ID
   */
  toolingId?: string | number;

  /**
   * 物料ID
   */
  materielId?: string | number;

  /**
   * 扫描结果
   */
  scanResult?: string;

  /**
   * 记录人名称
   */
  userName?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 工序名称
   */
  processName: string;
  /**
   * 机台名称
   */
  machineName: string;
  /**
   * 工装名称
   */
  toolingName: string;
  /**
   * 物料名称
   */
  materielName: string;

}

export interface ProdOutputScanInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  prodOutputScanInfoId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 胎胚条码
   */
  embryoBarcode?: string;

  /**
   * 工装ID
   */
  toolingId?: string | number;

  /**
   * 物料ID
   */
  materielId?: string | number;

  /**
   * 扫描结果
   */
  scanResult?: string;

  /**
   * 记录人名称
   */
  userName?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 工序名称
   */
  processName: string;
  /**
   * 机台名称
   */
  machineName: string;
  /**
   * 工装名称
   */
  toolingName: string;
  /**
   * 物料名称
   */
  materielName: string;

}



