export interface LevelInfoVO {
  /**
   * 等级主键
   */
  levelId: string | number;

  /**
   * 等级编码
   */
  levelCode: string;

  /**
   * 等级名称
   */
  levelName: string;

  /**
   * 工序编码
   */
  operationCode: string;

  /**
   * 工序名称
   */
  operationName: string;

}

export interface LevelInfoForm extends BaseEntity {
  /**
   * 等级主键
   */
  levelId?: string | number;

  /**
   * 等级编码
   */
  levelCode?: string;

  /**
   * 等级名称
   */
  levelName?: string;

  /**
   * 工序编码
   */
  operationCode?: string;

  /**
   * 工序名称
   */
  operationName?: string;

}

export interface LevelInfoQuery extends PageQuery {

  /**
   * 等级主键
   */
  levelId?: string | number;

  /**
   * 等级编码
   */
  levelCode?: string;

  /**
   * 等级名称
   */
  levelName?: string;

  /**
   * 工序编码
   */
  operationCode?: string;

  /**
   * 工序名称
   */
  operationName?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



