export interface PsmAreaVO {
  /**
   * 主键
   */
  areaId: string | number;

  /**
   * 库区名称
   */
  areaName: string;

  /**
   * 库区代码
   */
  areaCode: string;

  /**
   * 仓库
   */
  warehouseId: string | number;

}

export interface PsmAreaForm extends BaseEntity {
  /**
   * 主键
   */
  areaId?: string | number;

  /**
   * 库区名称
   */
  areaName?: string;

  /**
   * 库区代码
   */
  areaCode?: string;

  /**
   * 仓库
   */
  warehouseId?: string | number;

}

export interface PsmAreaQuery extends PageQuery {

  /**
   * 主键
   */
  areaId?: string | number;

  /**
   * 库区名称
   */
  areaName?: string;

  /**
   * 库区代码
   */
  areaCode?: string;

  /**
   * 仓库
   */
  warehouseId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



