export interface PsmStorePlaceVO {
  /**
   * 表主键
   */
  storePlaceId: string | number;

  /**
   * 库位编码
   */
  storePlaceCode: string;

  /**
   * 库位名称
   */
  storePlaceName: string;

  /**
   * 所属仓库
   */
  storeId: string | number;

  /**
   * sap库区代码
   */
  sapCode: string;

}

export interface PsmStorePlaceForm extends BaseEntity {
  /**
   * 表主键
   */
  storePlaceId?: string | number;

  /**
   * 库位编码
   */
  storePlaceCode?: string;

  /**
   * 库位名称
   */
  storePlaceName?: string;

  /**
   * 所属仓库
   */
  storeId?: string | number;

  /**
   * sap库区代码
   */
  sapCode?: string;

}

export interface PsmStorePlaceQuery extends PageQuery {

  /**
   * 表主键
   */
  storePlaceId?: string | number;

  /**
   * 库位编码
   */
  storePlaceCode?: string;

  /**
   * 库位名称
   */
  storePlaceName?: string;

  /**
   * 所属仓库
   */
  storeId?: string | number;

  /**
   * sap库区代码
   */
  sapCode?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



